/* @file CombiLock_modMain_Im_user_context.h
 * This is an example of a user defined User Module context
 */
/*
 ##############################################################
 # (C) 2016 BAE SYSTEMS
 #
 # Using an External Interface Sample - Module user context
 #
 # $Id: CombiLock_modMain_Im_user_context.h,v 2.2 2017/11/06 15:33:28 ksappleb Exp $
 #
 # Part of the BAE Systems, Rochester, ECOA Samples collection
 #
 # Created by K S Appleby, BAE Systems, Airport Works, Rochester, Kent
 #
 # This software is developed for and on behalf of BAE Systems (Operations)
 # Limited, Dassault Aviation, Bull SAS, Thales Systemes Aeroportes,
 # GE Aviation Systems Limited,
 # General Dynamics United Kingdom Limited and Leonardo MW Ltd,
 # and the copyright is owned by BAE Systems (Operations) Limited,
 # Dassault Aviation, Bull SAS, Thales Systemes Aeroportes, 
 # GE Aviation Systems Limited, General Dynamics United Kingdom
 # Limited and Leonardo MW Ltd
 #
 # This software is developed by BAE Systems (Operations)
 # Limited, Electronic Systems, and is the Intellectual
 # Property of BAE Systems (Operations) Limited, Electronic Systems.
 #
 # The information set out in this document is provided solely
 # on an 'as is' basis and the co-developers of this software make
 # no warranties expressed or implied, including no warranties
 # as to completeness, accuracy or fitness for purpose, with respect
 # to any of the information.
 ##############################################################
 */

#include <CombiLock.h>

#if !defined(COMBILOCK_MODMAIN_IM_USER_CONTEXT_H)
#define COMBILOCK_MODMAIN_IM_USER_CONTEXT_H

#if defined(__cplusplus)
extern "C" {
#endif /* __cplusplus */

/* User Module Context structure example */
typedef struct
{
	CombiLock__State doorState;
	ECOA__int32      COMBI;
	ECOA__int32      code;
	ECOA__int32      digitCount;
	ECOA__int32      tryCount;

} CombiLock_modMain_Im_user_context;

#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif  /* COMBILOCK_MODMAIN_IM_USER_CONTEXT_H */
